• 赚钱入口【需求资源】限时招募流量主、渠道主,站长合作;【合作模式】CPS长期分成,一次推广永久有收益。主动打款,不扣量;

encoding.c:825:2: error: implicit declaration of function ‘rb_str_change_terminator_length’ is invalid in C99 [-Werror,-Wimplicit-function-declaration] rb_str_change_terminator_length(obj, oldtermlen, termlen)

JavaScript cps12345 1周前 (01-07) 15次浏览 0个评论

试图在Big Sur-M1芯片Mac上安装Ruby 2.2.9。

我尝试使用RVM,ASDF …,但是在编译过程中总是会收到此错误:

encoding.c:825:2: error: implicit declaration of function 'rb_str_change_terminator_length' is invalid in C99 [-Werror,-Wimplicit-function-declaration]
    rb_str_change_terminator_length(obj, oldtermlen, termlen);

解决

尝试设置此标志以忽略错误(在安装过程之前):

export optflags="-Wno-error=implicit-function-declaration"

export optflags =“-Wno-error = implicit-function-declaration” | rvm install 2.5.8

喜欢 (0)
发表我的评论
取消评论
表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址